Subject: Re: [PATCH] delta-islands: fix segfault when freeing island marks

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Feb 2023 09:15:29 -0800

Patrick Steinhardt <[email-masked]> writes:

> Oops, right. Please feel free to add it when pulling:
>
>     Signed-off-by: Patrick Steinhardt <[email-masked]>

I'll add that to the copy I already have.

> If you prefer I'd also be happy to send another iteration of this patch,
> potentially including a direct test for git-pack-objects(1). I'm still
> not sure whether it'd be worth it though given that it's implicitly
> covered by the higher-level test that checks for the segfault by using
> git-multi-pack-index(1).

The existing test probably is sufficient.

Thanks.